# Explore application logs

## `yarn logs <scope>` or `npm run logs <scope>`

Gives simple access to logs from Nginx, Redis, MySQL and ElasticSearch containers and Magento.

{% hint style="info" %}
Before **magento-scripts** version 1.4.1 this command will attach logs from chosen service to your terminal so to exit press `CTRL + C`. To attach logs use option **-f**.
{% endhint %}

### **Available scopes**

* `mysql`
* `nginx`
* `redis`
* `elasticsearch`
* `magento`

### **Command options**

#### `--details`

Show extra details provided to logs

```bash
yarn logs nginx --details # for Yarn
npm run logs nginx -- --details # for NPM
```

#### `--timestamps, -t`

Show timestamps

```bash
yarn logs nginx --timestamps # for Yarn
npm run logs nginx -- --timestamps # for NPM
```

#### `--follow, -f`

Follow log output

```bash
yarn logs nginx --follow # for Yarn
npm run logs nginx -- --follow # for NPM
```

#### `--since`

Show logs since timestamp (e.g. 2013-01-02T13:23:37Z) or relative (e.g. 42m for 42 minutes)

```bash
yarn logs nginx --since=2s # for Yarn
npm run logs nginx -- --since=2s # for NPM
```

#### `--until`

Show logs before a timestamp (e.g. 2013-01-02T13:23:37Z) or relative (e.g. 42m for 42 minutes)

```bash
yarn logs nginx --until=2s # for Yarn
npm run logs nginx -- --until=2s # for NPM
```

## **Usage example**:

```bash
yarn logs nginx

> ... # nginx logs

# ctrl + c

# this is not alias, but rather service name matching
yarn logs n # or n

> ... # nginx logs

# and for mysql
yarn logs m # or mysql

> ... # mysql logs

# and for magento
yarn logs ma # or magento

> ... # magento logs
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.create-magento-app.com/v1/getting-started/available-commands/logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
